#version 330

uniform float rotation;

in vec4 position;
in vec4 color;

out vec2 pos;
out vec2 start;

void main(){
    pos = position.xy;
    pos.x -= 0.5;
    
    start = sqrt(1.0 + 0.01 * rotation) * 0.3 * sin(vec2(0.1, 0.1337) * rotation);
    
    gl_Position = position;
}
