#version 100

uniform float rotation;

attribute vec4 position;
attribute vec4 color;

varying vec2 pos;
varying vec2 start;

void main(){
    pos = position.xy;
    pos.x -= 0.5;
    
    start = sqrt(1.0 + 0.01 * rotation) * 0.3 * sin(vec2(0.1, 0.1337) * rotation);
    
    gl_Position = position;
}
